import React, {Component} from 'react'
import Lostsvg from '@/components/lostsvg'
import zhCN from '@/locales/zh-CN/share.js'
import enUS from '@/locales/en-US/share.js'
import './index.scss'

const _dict =  sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class NotFound extends Component {
  render () {
    return (
      <main className="ant-pro-basicLayout-content ant-layout-content box404">
        <div className="ant-result">
          <div className="ant-result-icon ant-result-image">
            <Lostsvg />
          </div>
          <div className="ant-result-title">404</div>
          <div className="ant-result-subtitle">{this.props.msg ? this.props.msg : _dict['view.notFound']}</div>
        </div>
      </main>
    )
  }
}

export default NotFound